Eclipse Platform Release 3.7

## org.eclipse.ui.views.navigator
Interface IResourceNavigator

All Superinterfaces:
  IAdaptable, IPersistable, IViewPart, IWorkbenchPart

All Known Implementing Classes:
  ResourceNavigator

Deprecated. as of 3.5, use the Common Navigator Framework classes instead

    public interface IResourceNavigator

extends IViewPart

This interface defines the API for the resource navigator. The action groups should restrict themselves to using this API.

This interface is not intended to be implemented by clients. Subclass `org.eclipse.ui.views.ResourceNavigator` instead.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`ResourceComparator` `getComparator()` Deprecated. Returns the current comparator.
`FrameList` `getFrameList()` Deprecated. Returns the frame list for this navigator.
`ResourcePatternFilter` `getPatternFilter()` Deprecated. Returns the pattern filter.
`ResourceSorter` `getSorter()` Deprecated. as of 3.3, use `getComparator()` instead
`TreeViewer` `getViewer()` Deprecated. Returns the viewer which shows the resource tree.
`IWorkingSet` `getWorkingSet()` Deprecated. Returns the active working set, or `null`if none.``
`boolean` `isLinkingEnabled()` Deprecated. Returns whether this navigator's selection automatically tracks the active editor.
`void` `setComparator(ResourceComparator comparator)` Deprecated. Sets the current comparator.
`void` `setFiltersPreference(String[] patterns)` Deprecated. Sets the values of the filter preference to be the strings in preference values.
`void` `setLinkingEnabled(boolean enabled)` Deprecated. Sets whether this navigator's selection automatically tracks the active editor.
`void` `setSorter(ResourceSorter sorter)` Deprecated. as of 3.3, use `setComparator(ResourceComparator)` instead
`void` `setWorkingSet(IWorkingSet workingSet)` Deprecated. Sets the working set for this view, or `null` to clear it.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getPatternFilter

    ResourcePatternFilter getPatternFilter()

  Deprecated.
  Returns the pattern filter.

  Returns:
    the pattern filter

### getWorkingSet

    IWorkingSet getWorkingSet()

  Deprecated.
  Returns the active working set, or `null`if none.

  ``
  Returns:
    the active working set, or `null`if none``
  Since:
    2.0

### getSorter

    ResourceSorter getSorter()

  Deprecated. as of 3.3, use `getComparator()` instead

  Returns the current sorter.

  Returns:
    the resource navigator's sorter

### setSorter

    void setSorter(ResourceSorter sorter)

  Deprecated. as of 3.3, use `setComparator(ResourceComparator)` instead

  Sets the current sorter.

  Parameters:
    `sorter` - the sorter to use

### getComparator

    ResourceComparator getComparator()

  Deprecated.
  Returns the current comparator.

  Returns:
    the resource navigator's comparator
  Since:
    3.3

### setComparator

    void setComparator(ResourceComparator comparator)

  Deprecated.
  Sets the current comparator.

  Parameters:
    `comparator` - the comparator to use
  Since:
    3.3

### setFiltersPreference

    void setFiltersPreference(String[] patterns)

  Deprecated.
  Sets the values of the filter preference to be the strings in preference values.

  Parameters:
    `patterns` - filter patterns to use on contents of the resource navigator

### getViewer

    TreeViewer getViewer()

  Deprecated.
  Returns the viewer which shows the resource tree.

  Returns:
    the resource navigator's tree viewer

### getFrameList

    FrameList getFrameList()

  Deprecated.
  Returns the frame list for this navigator.

  Returns:
    the list of frames maintained by the resource navigator

### isLinkingEnabled

    boolean isLinkingEnabled()

  Deprecated.
  Returns whether this navigator's selection automatically tracks the active editor.

  Returns:
    `true` if linking is enabled, `false` if not
  Since:
    2.1

### setWorkingSet

    void setWorkingSet(IWorkingSet workingSet)

  Deprecated.
  Sets the working set for this view, or `null` to clear it.

  Parameters:
    `workingSet` - the working set, or `null` to clear it
  Since:
    2.0

### setLinkingEnabled

    void setLinkingEnabled(boolean enabled)

  Deprecated.
  Sets whether this navigator's selection automatically tracks the active editor.

  Parameters:
    `enabled` - `true` to enable, `false` to disable
  Since:
    2.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.